from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XModule(XInterface, Protocol):
    def setIdentifier(self, Identifier: str) -> None: ...
    def getIdentifier(self) -> str: ...
